/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

// This is only to create LIMITED Watcom/VS-Code/IntelliSense compat for
// Watcom 16-bit cross-development stuff under modern Windows...
// Don't include this file in source files, refer to c_cpp_properties.json

#ifndef _VSCODE_H_INCLUDED
#define _VSCODE_H_INCLUDED

#undef __cplusplus
#define __push 42
#define __pop 42
//#define __SW_BR

// Machine target stuff
#define __X86__
#define __I86__
#define M_I86
#define _M_I86
#define __DOS__
#define _DOS
#define MSDOS
#define __SMALL__
#define M_I86SM
#define _M_I86SM

//#define __watcall _stdcall
#define _WCRTLINK volatile //Just use some other modifier... meh
//#define _WCRTDATA unsigned //Just use some other modifier... meh

#define __OBSCURE_STREAM_INTERNALS


/*
            "defines": [
                // For Watcom header compat.
                "_M_IX86",
                "__watcall=_stdcall",
                "__stdcall=_stdcall",
                "_WCRTLINK",
                "_WCRTDATA"
            ],
*/

#endif
