/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

// Include this file from main.c, make name changes in release.h !

#ifndef _CDBQ_H_INCLUDED
#define _CDBQ_H_INCLUDED

// App-specific exit codes
#define CDBQ_EC_IDE_ERROR        10

// Internal error codes
#define E_CDBQ_SUCCESS          100
#define E_CDBQ_OPT_WRONG_SPEED  101
#define E_CDBQ_OPT_INVALID      102
#define E_CDBQ_OPT_FORCED_HELP  103

#endif
