/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#ifndef _COMMON_H_INCLUDED
#define _COMMON_H_INCLUDED


// Include a file that makes basic defines for main module
#include MODCFG_H

// Program exit codes
#define COMMON_EC_SUCCESS           0
#define COMMON_EC_BAD_CMDLINE       1

// Setup for program banner

// Prototypes

void common_show_banner();
void common_print_usage();

#endif
