/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

// Keep in mind that some of these won't be printed out by using
// printf(), putchar() or even DOS interrupts as some are treated
// as control characters. Use a BIOS interrupt call to print them,
// if you want to be sure that they show up on screen.

#define EMJ437_OUTLINED_SMILEY  0x01
#define EMJ437_OPAQUE_SMILEY    0x02
#define EMJ437_HEART            0x03
#define EMJ437_DIAMOND          0x04
#define EMJ437_CLUBS            0x05
#define EMJ437_SPADES           0x06
#define EMJ437_8TH_NOTE         0x0d
#define EMJ437_2_MUSICAL_NOTES  0x0e
#define EMJ437_SOLAR_SYMBOL     0x0f
#define EMJ437_DOUBLE_EXCL_MARK 0x13
#define EMJ437_FAKE_MONEY_SIGN  0x24
