/*
Copyright (C) 2024 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#ifndef _STR_H_INCLUDED
#define _STR_H_INCLUDED

// Includes
#include <stdbool.h>

// Prototypes
const char* ltrim(const char *str);
char* trim(char *str);
char to_lower(char c);
bool is_null_or_empty(const char* str);
int find_char_in_str(const char c, const char* str);
int find_char_in_str_stop_at(const char c, const char* str, const char stop_char);

#endif
